curl --request PATCH \
--url https://api.sandbox.tesouro.com/finops/v1/payment-terms/{payment_terms_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-finops-version: <x-finops-version>' \
--header 'x-organization-id: <x-organization-id>' \
--data '
{
"description": "<string>",
"name": "<string>"
}
'import requests
url = "https://api.sandbox.tesouro.com/finops/v1/payment-terms/{payment_terms_id}"
payload = {
"description": "<string>",
"name": "<string>"
}
headers = {
"x-finops-version": "<x-finops-version>",
"x-organization-id": "<x-organization-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-finops-version': '<x-finops-version>',
'x-organization-id': '<x-organization-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({description: '<string>', name: '<string>'})
};
fetch('https://api.sandbox.tesouro.com/finops/v1/payment-terms/{payment_terms_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"term_final": {
"number_of_days": 5000
},
"description": "<string>",
"term_1": {
"discount": 5000,
"number_of_days": 5000
},
"term_2": {
"discount": 5000,
"number_of_days": 5000
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"error": {
"message": "<string>"
}
}Update a payment term
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The ID of the entity that owns the requested resource.
"9d2b4c8f-2087-4738-ba91-7359683c49a4"
Path Parameters
Body
2551 - 100The first tier of the payment term. Represents the terms of the first early discount.
Show child attributes
Show child attributes
The second tier of the payment term. Defines the terms of the second early discount.
Show child attributes
Show child attributes
The final tier of the payment term. Defines the invoice due date.
Show child attributes
Show child attributes
Response
Successful Response
The final tier of the payment term. Defines the invoice due date.
Show child attributes
Show child attributes
The first tier of the payment term. Represents the terms of the first early discount.
Show child attributes
Show child attributes
The second tier of the payment term. Defines the terms of the second early discount.
Show child attributes
Show child attributes
Was this page helpful?